%define		xfce_version	4.11.0
Summary:	Next generation panel for Xfce
Summary(pl.UTF-8):	Panel nowej generacji dla Xfce
Name:		xfce4-panel
Version:	4.11.1
Release:	2
License:	GPL v2, LGPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/xfce/xfce4-panel/4.11/%{name}-%{version}.tar.bz2
# Source0-md5:	21e056bdfb7a6b4d70e4ded619b2a88d
Patch0:		%{name}-no-empty-panel.patch
URL:		http://www.xfce.org/projects/xfce4-panel
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	exo-devel >= 0.8.0
BuildRequires:	garcon-devel >= 0.2.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtk+3-devel
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	gtk-doc-automake
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libwnck2-devel >= 2.22.0
BuildRequires:	libxfce4ui-devel >= %{xfce_version}
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
#BuildRequires:	xfconf-devel >= %{xfce_version}
BuildRequires:	xfconf-devel >= 4.10.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
# NOTE: xfce4-icon-theme doesn't match XDG specification.
#       Use Tango as a default icon theme.
Requires:	tango-icon-theme
Requires:	xfce4-dirs >= 4.6
Suggests:	xfce-preferred-applications
Obsoletes:	xfce4-iconbox
Obsoletes:	xfce4-showdesktop-plugin
Obsoletes:	xfce4-systray
Obsoletes:	xfce4-taskbar-plugin
Obsoletes:	xfce4-themes
Obsoletes:	xfce4-windowlist-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce4-panel is the panel for the Xfce desktop environment.

%description -l pl.UTF-8
xfce4-panel to panel dla środowiska Xfce.

%package apidocs
Summary:	Xfce panel API documentation
Summary(pl.UTF-8):	Dokumentacja API panelu Xfce
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Xfce panel API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API panelu Xfce.

%package libs
Summary:	xfce4panel library
Summary(pl.UTF-8):	Biblioteka xfce4panel
Group:		X11/Development/Libraries

%description libs
This package contains xfce4panel library.

%description libs -l pl.UTF-8
Pakiet ten zawiera bibliotekę xfce4panel.

%package devel
Summary:	Header files for building Xfce panel plugins
Summary(pl.UTF-8):	Pliki nagłówkowe do budowania wtyczek panelu Xfce
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.18.0
Requires:	gtk+2-devel >= 2:2.14.0
Requires:	libxfce4ui-devel >= %{xfce_version}
Requires:	libxfce4util-devel >= %{xfce_version}

%description devel
Header files for building Xfce panel plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe do budowania wtyczek panelu Xfce.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-static \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules \
	--enable-gtk3

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_datadir}}/xfce4/panel-plugins

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/xfce4-panel
%attr(755,root,root) %{_bindir}/xfce4-popup-applicationsmenu
%attr(755,root,root) %{_bindir}/xfce4-popup-directorymenu
%attr(755,root,root) %{_bindir}/xfce4-popup-windowmenu

%dir %{_sysconfdir}/xdg/xfce4/panel
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/panel/default.xml
%dir %{_libdir}/xfce4
%dir %{_libdir}/xfce4/panel
%attr(755,root,root) %{_libdir}/xfce4/panel/migrate
%attr(755,root,root) %{_libdir}/xfce4/panel/wrapper-1.0
%attr(755,root,root) %{_libdir}/xfce4/panel/wrapper-2.0
%dir %{_libdir}/xfce4/panel-plugins
%dir %{_libdir}/xfce4/panel/plugins
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libactions.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libapplicationsmenu.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libclock.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libdirectorymenu.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/liblauncher.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libpager.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libseparator.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libshowdesktop.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libsystray.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libtasklist.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libwindowmenu.so
%{_datadir}/xfce4/panel
%dir %{_datadir}/xfce4/panel-plugins
%{_iconsdir}/hicolor/*/*/*
%{_desktopdir}/*.desktop

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libxfce4panel-1.0

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4panel-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfce4panel-1.0.so.4
%attr(755,root,root) %{_libdir}/libxfce4panel-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfce4panel-2.0.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4panel-1.0.so
%attr(755,root,root) %{_libdir}/libxfce4panel-2.0.so
%{_includedir}/xfce4/libxfce4panel-1.0
%{_includedir}/xfce4/libxfce4panel-2.0
%{_pkgconfigdir}/libxfce4panel-1.0.pc
%{_pkgconfigdir}/libxfce4panel-2.0.pc
%changelog
* Sun Aug 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-panel.git;a=log;h=master

* Sun Aug 17 2014 Jan Rękorajski <baggins@pld-linux.org> dfa8cf7
- enable gtk+3 support
- rel 2

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> 478935a
- up to 4.11.1

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> e022614
- release 4 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ab16519
- release 3 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> ca189e3
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 0f8917a
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> ff1a138
- updated patch to 4.10

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 3c822a9
- 4.10.0
- empty-panel patch needs rewrite/update

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e4f52d
- release 4

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 768bc66
- release 3

* Mon Oct 24 2011 Jan Rękorajski <baggins@pld-linux.org> 556bcad
- rel 2
- asking lusers "complicated" existential questions how they want theirs panel
  is not a good idea - remove "one empty panel" answer from migrate program

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 13a60ba
- 4.8.6

* Tue Jun 28 2011 marti <marti@pld-linux.org> 4e4a654
- up to 4.8.5

* Thu Apr 07 2011 Artur Frysiak <artur@frysiak.net> feb18bf
- rel. 3

* Thu Apr 07 2011 Jan Rękorajski <baggins@pld-linux.org> 921babd
- rel 2
- fix libwnck BR

* Thu Apr 07 2011 Jan Rękorajski <baggins@pld-linux.org> 23ed926
- 4.8.3

* Sat Mar 05 2011 Caleb Maclennan <caleb@alerque.com> 208a9d5
- Up to 4.8.2

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2751688
- obsolete

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 8c464e2
- merged from DEVEL

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 7fe8320
- Requires(post,postun): gtk-update-icon-cache

